<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	$contractaddedby=$_SESSION['umid'];
	$contractupdatedby=$_SESSION['umid'];
	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_contract_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 	
			 
				$contractmid=$rt['contractmid'];
			
				$contactperson=$rt['contactperson'];
				
				
				$personname='';
				
				$eve2 = "select * from res_contact_master where contactmid = '$contactperson'";
																					 								
				$re2 = mysqli_query($conn, $eve2);
				
				if(mysqli_num_rows($re2) > 0)
				{
					
					while($rt2 = mysqli_fetch_assoc($re2))
					{
							$personname=$rt2['contactname'];
					}
				}
				$piddetail='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maview=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$piddetail="<a href='contractdetail.php?id=".$rt['contractmid']."' data-toggle='tooltip' data-placement='top' title='eye' class='fa fa-eye fa-lg'>  </a>";
					}
				$pidedit='';
				
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='contractedit.php?id=".$rt['contractmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$piddelete="<a href='contractdelete.php?id=".$rt['contractmid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";	
					}				
                $op=$piddetail."&nbsp;&nbsp;&nbsp; ".$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$contractnote=str_replace ("'","'",$rt['contractnote']);
				$contractnote=str_replace ('"','\"',$contractnote);
				
				$contractname=str_replace ("'","'",$rt['contractname']);
				$contractname=str_replace ('"','\"',$contractname);
				
				
				
				$contactstartdate=implode('-', array_reverse(explode('-', $rt['contactstartdate'])));
				
				$contactenddate=implode('-', array_reverse(explode('-', $rt['contactenddate'])));
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'contractname'=> $contractname, 'contractnote'=> $contractnote, 'contactperson'=> $personname, 'contactstartdate'=> $contactstartdate, 'contactenddate'=> $contactenddate);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>